## r-cran-party 1.3

=== DESCRIPTION ===
Package: party
Title: A Laboratory for Recursive Partytioning
Date: 2025-01-29
Version: 1.3-18
Authors@R: c(person("Torsten", "Hothorn", role = c("aut", "cre"),
                    email = "Torsten.Hothorn@R-project.org",
                    comment = c(ORCID = "0000-0001-8301-0471")),
             person("Kurt", "Hornik", role = "aut",
	            email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911")),
             person("Carolin", "Strobl", role = "aut",
	            email = "carolin.strobl@psychologie.uzh.ch",
                    comment = c(ORCID = "0000-0003-0952-3230")),
             person("Achim", "Zeileis", role = "aut",
	            email = "Achim.Zeileis@R-project.org",
                    comment = c(ORCID = "0000-0003-0918-3766")))
Description: A computational toolbox for recursive partitioning.
  The core of the package is ctree(), an implementation of
  conditional inference trees which embed tree-structured 
  regression models into a well defined theory of conditional
  inference procedures. This non-parametric class of regression
  trees is applicable to all kinds of regression problems, including
  nominal, ordinal, numeric, censored as well as multivariate response
  variables and arbitrary measurement scales of the covariates. 
  Based on conditional inference trees, cforest() provides an
  implementation of Breiman's random forests. The function mob()
  implements an algorithm for recursive partitioning based on
  parametric models (e.g. linear models, GLMs or survival
  regression) employing parameter instability tests for split
  selection. Extensible functionality for visualizing tree-structured
  regression models is available. The methods are described in
  Hothorn et al. (2006) <doi:10.1198/106186006X133933>,
  Zeileis et al. (2008) <doi:10.1198/106186008X319331> and 
  Strobl et al. (2007) <doi:10.1186/1471-2105-8-25>.
Depends: R (>= 3.0.0), methods, grid, stats, mvtnorm (>= 1.0-2),
        modeltools (>= 0.2-21), strucchange
LinkingTo: mvtnorm
Imports: survival (>= 2.37-7), coin (>= 1.1-0), zoo, sandwich (>=
        1.1-1)
Suggests: TH.data (>= 1.0-3), mlbench, colorspace, MASS, vcd, ipred,
        varImp, randomForest, lattice, AER
LazyData: yes
License: GPL-2
URL: http://party.R-forge.R-project.org
NeedsCompilation: yes
Packaged: 2025-01-29 10:34:44 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>),
  Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
  Carolin Strobl [aut] (<https://orcid.org/0000-0003-0952-3230>),
  Achim Zeileis [aut] (<https://orcid.org/0000-0003-0918-3766>)
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Repository: CRAN
Date/Publication: 2025-01-29 11:20:02 UTC

## r-cran-party 1.3-3

=== debian/changelog ===
r-cran-party (1.3-3-1) unstable; urgency=medium

  * Initial release (closes: #931952)

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 22:17:40 +0200

=== debian/control ===
Source: r-cran-party
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-mvtnorm,
               r-cran-modeltools,
               r-cran-strucchange,
               r-cran-survival,
               r-cran-coin,
               r-cran-zoo,
               r-cran-sandwich
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-party
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-party.git
Homepage: https://cran.r-project.org/package=party

Package: r-cran-party
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R laboratory for recursive partytioning
 A computational toolbox for recursive partitioning.
 The core of the package is ctree(), an implementation of
 conditional inference trees which embed tree-structured
 regression models into a well defined theory of conditional
 inference procedures. This non-parametric class of regression
 trees is applicable to all kinds of regression problems, including
 nominal, ordinal, numeric, censored as well as multivariate response
 variables and arbitrary measurement scales of the covariates.
 Based on conditional inference trees, cforest() provides an
 implementation of Breiman's random forests. The function mob()
 implements an algorithm for recursive partitioning based on
 parametric models (e.g. linear models, GLMs or survival
 regression) employing parameter instability tests for split
 selection. Extensible functionality for visualizing tree-structured
 regression models is available. The methods are described in
 Hothorn et al. (2006) <doi:10.1198/106186006X133933>,
 Zeileis et al. (2008) <doi:10.1198/106186008X319331> and
 Strobl et al. (2007) <doi:10.1186/1471-2105-8-25>.

## r-cran-party 1.3-4

=== debian/changelog ===
r-cran-party (1.3-4-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:20:23 +0000

r-cran-party (1.3-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Mar 2020 13:44:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: r-cran-party
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-mvtnorm,
@@ -14,10 +15,11 @@
                r-cran-coin,
                r-cran-zoo,
                r-cran-sandwich
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-party
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-party.git
 Homepage: https://cran.r-project.org/package=party
+Rules-Requires-Root: no
 
 Package: r-cran-party
 Architecture: any

## r-cran-party 1.3-5

=== debian/changelog ===
r-cran-party (1.3-5-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 14:04:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-party
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mvtnorm,

## r-cran-party 1.3-9

=== debian/changelog ===
r-cran-party (1.3-9-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 1.3-9

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Oct 2021 15:00:01 +0000

r-cran-party (1.3-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 16:38:43 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-coin,
                r-cran-zoo,
                r-cran-sandwich
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-party
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-party.git
 Homepage: https://cran.r-project.org/package=party

## r-cran-party 1.3-10

=== debian/changelog ===
r-cran-party (1.3-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3-10
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:03:51 +0530

## r-cran-party 1.3-11

=== debian/changelog ===
r-cran-party (1.3-11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 11:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-coin,
                r-cran-zoo,
                r-cran-sandwich
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-party
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-party.git
 Homepage: https://cran.r-project.org/package=party

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-mlbench
Restrictions: allow-stderr

## r-cran-party 1.3-13

=== debian/changelog ===
r-cran-party (1.3-13-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 13:15:26 +0200

## r-cran-party 1.3-14

=== debian/changelog ===
r-cran-party (1.3-14-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:06:55 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-coin,
                r-cran-zoo,
                r-cran-sandwich
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-party
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-party.git
 Homepage: https://cran.r-project.org/package=party

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-th.data (>= 1.0-3),
        r-cran-mlbench,
        r-cran-colorspace,
        r-cran-mass,
        r-cran-vcd,
        r-cran-ipred,
        r-cran-randomforest
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/party_([-\d.]*)\.tar\.gz

## r-cran-party 1.3-17

=== debian/changelog ===
r-cran-party (1.3-17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 16:26:56 +0900

## r-cran-party 1.3-18

=== debian/changelog ===
r-cran-party (1.3-18-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * lintian-brush: add d/u/metadata (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Mar 2026 09:31:20 +0900

r-cran-party (1.3-18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 05 Feb 2025 10:12:33 +0900

=== debian/control ===
Source: r-cran-party
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-mvtnorm,
 r-cran-modeltools,
 r-cran-strucchange,
 r-cran-survival,
 r-cran-coin,
 r-cran-zoo,
 r-cran-sandwich,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-party
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-party.git
Homepage: https://cran.r-project.org/package=party
Rules-Requires-Root: no

Package: r-cran-party
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: A Laboratory for Recursive Partytioning
 A computational toolbox for recursive partitioning. The core of the package
 is ctree(), an implementation of conditional inference trees which embed
 tree-structured regression models into a well defined theory of conditional
 inference procedures. This non-parametric class of regression trees
 is applicable to all kinds of regression problems, including nominal,
 ordinal, numeric, censored as well as multivariate response variables and
 arbitrary measurement scales of the covariates. Based on conditional inference
 trees, cforest() provides an implementation of Breiman's random forests.
 The function mob() implements an algorithm for recursive partitioning based on
 parametric models (e.g. linear models, GLMs or survival regression) employing
 parameter instability tests for split selection. Extensible functionality
 for visualizing tree-structured regression models is available. The methods
 are described in Hothorn et al. (2006) <doi:10.1198/106186006X133933>,
 Zeileis et al. (2008) <doi:10.1198/106186008X319331> and Strobl et al.
 (2007) <doi:10.1186/1471-2105-8-25>.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-th.data,
 r-cran-mlbench,
 r-cran-colorspace,
 r-cran-mass,
 r-cran-vcd,
 r-cran-ipred,
 r-cran-randomforest,
 r-cran-lattice,
 r-cran-aer,
